#include <bits/stdc++.h>
using namespace std;
int main ()
{
	int n,k;
	freopen ("TKNP.inp","r", stdin);
	freopen ("TKNP.out", "w", stdout);
	cin>> n >> k;
	int a[n+1], b, c=-1;
	for (int i=1; i<=n; i++)
	cin>> a[i];
	for (int y=1; y<=n; y++)
	if (a[y]==k) {c=y; break;}
	cout << c;
}
